# InstallExecutable

API Documentation: | `InstallExecutable`

Installs an executable with it's dependent libraries so it can be easily executed.

### Properties

Property | Description
`executableFile` | The executable file to install.
`installDirectory` | The directory to install files into.
`libs` | The library files that should be installed.
`runScriptFile` | The script file that can be used to run the install image.
`targetPlatform` | The platform being linked for.
`toolChain` | The tool chain used for linking.

### Methods

Method | Description
`lib(libs)` | Adds a set of library files to be installed. The provided libs object is evaluated as per `Project.files(java.lang.Object[])`.

### Script blocks

No script blocks

### Property details

#### `RegularFileProperty` `executableFile`

The executable file to install.

#### `DirectoryProperty` `installDirectory`

The directory to install files into.

#### `FileCollection` `libs`

The library files that should be installed.

#### ``Provider`<`RegularFile`>` `runScriptFile`

The script file that can be used to run the install image.

#### ``Property`<`NativePlatform`>` `targetPlatform`

The platform being linked for.

#### ``Property`<`NativeToolChain`>` `toolChain`

The tool chain used for linking.

### Method details

#### `void` `lib`(`Object` libs)

Adds a set of library files to be installed. The provided libs object is evaluated as per `Project.files(java.lang.Object[])`.